# https://capi.tianyancha.com/cloud-company-background/companyV2/dim/holderV2?_=1716444648296


t = str(int(time.time()) * 1000)
url = f'https://capi.tianyancha.com/cloud-company-background/companyV2/dim/holderV2?_=1716444648296'

payload = {"gid":f"{tycid}", "pageSize":10, "pageNum":1, "sortField":"", "sortType":"-100", "historyType":1}

ip = get_proxy()[random.randint(0, 3)]
res = requests.post(url, headers=headers, data=payload, proxies=ip, timeout=10)
json_info = res.json()
holder_info = json_info['data']['result'][0]
shareHolderName = holder_info['shareHolderName']
percent = holder_info['percent']